Bug 677448

Summary: incompatibility/inefficiency with bitmap-fangsongti-fonts
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: freetypeAssignee: Marek Kašík <mkasik>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: behdad, fonts-bugs, kevin, mkasik, rvokal, tagoh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 08:38:28 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Bill Nottingham 2011-02-14 15:36:10 EST
Description of problem:

bitmap-fangsongti-fonts causes fontconfig to exercise some very bad codepaths
on upgrades.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Have bitmap-fangsongti-fonts installed
2. Be running a desktop
3. Do some upgrade that causes '/usr/bin/fc-cache /usr/share/fonts/bitmap' to run

Actual results:

Most every fontconfig app on the system (kde4d, notification area applets, gnome-settings-daemon, and others) suddenly start using 100% cpu. The fc-cache call takes a *very* long time to complete.

Expected results:

Not that.

Additional info:
Comment 1 Akira TAGOH 2011-02-21 06:20:39 EST
Sticking into somewhere in freetype it seems.

  samples|      %|
    40035 100.000 fc-cache
          samples|      %|
            39198 97.9093 libfreetype.so.6.6.2
              828  2.0682 libc-2.13.90.so
                6  0.0150 libfontconfig.so.1.4.4
                2  0.0050 libexpat.so.1.5.2
                1  0.0025 ld-2.13.90.so

I couldn't get the detailed symbols due to Bug#611263 maybe, but anyway.
Comment 2 Fedora End Of Life 2013-04-03 12:21:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
Comment 4 Fedora End Of Life 2015-01-09 11:34:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 08:38:28 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.